<?php

require "data.php";
$page_name = "Add Vendors";
$page_number = 2.2;

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;

if (isset($_POST["submit"])) {
    $full_name = $_POST["full_name"];
    $phone_number = $_POST["phone_number"];
    $email_address = $_POST["email_address"];
    $address = $_POST["address"];
    //$picture = $_POST["picture"];

    $picture_name = "pic";


    $target_dir = "api/pictures/vendors/";
    $imageFileType = strtolower(pathinfo(basename($_FILES["picture"]["name"]), PATHINFO_EXTENSION));
    $name = 'vendor_' . date('Y-m-d_hia') . '.' . $imageFileType;
    $target_file = $target_dir . $name;


    if (move_uploaded_file($_FILES["picture"]["tmp_name"], $target_file)) {

        if ($conn->query("INSERT INTO `mkt_vendor` 
                (`id`, `full_name`, `phone_number`, `email_address`, `address`, `picture`, `date_time`) VALUES 
                (NULL, '$full_name', '$phone_number', '$email_address', '$address', '$name', current_timestamp())")) {
            $number = 1;
        } else {
            $number = 2;
        }

    } else {
        $number = 3;
    }
}

?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">
                <!-- Textual inputs start -->
                <div class="col-8 mt-5">
                    <div class="card">
                        <div class="card-body">

                            <form method="post" action="add_vendors.php" enctype="multipart/form-data">
                                <h4 class="header-title">Add a Vendor</h4>
                                <div class="form-group">
                                    <label for="full_name" class="col-form-label">Full Name</label>
                                    <input class="form-control" type="text" id="full_name" name="full_name">
                                </div>
                                <div class="form-group">
                                    <label for="phone_number" class="col-form-label">Phone Number</label>
                                    <input class="form-control" type="tel" id="phone_number" name="phone_number">
                                </div>
                                <div class="form-group">
                                    <label for="email_address" class="col-form-label">Email Address</label>
                                    <input class="form-control" type="email" id="email_address" name="email_address">
                                </div>
                                <div class="form-group">
                                    <label for="address" class="col-form-label">Address</label>
                                    <input class="form-control" type="text" id="address" name="address">
                                </div>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">Picture</span>
                                    </div>
                                    <div class="custom-file">
                                        <input type="file" class="custom-file-input" id="inputGroupFile01"
                                               name="picture">
                                        <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-primary mt-4 pr-4 pl-4" name="submit">Submit
                                </button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>alert("SAVED SUCCESSFULLY");</script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
