<?php

require "data.php";
$page_name = "Currency";
$page_number = 5.0;

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;

if (isset($_POST["submit"])) {
    $title = $_POST["title"];
    $full_title = $_POST["full_title"];

        if ($conn->query("INSERT INTO `mkt_currency` (`id`, `title`, `full_title`) 
                                VALUES 
                                (NULL, '$title', '$full_title')")) {
            $number = 1;
        } else {
            $number = 2;
        }
}

?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">


                <?php

                require ("api/pdo/connection_pdo.php");
                $sql = "select * from mkt_currency";
                require ("api/pdo/functionality_fetch_data.php");
                ?>


                <div class="col-8 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title">Supported Currency</h4>
                            <div class="single-table">
                                <div class="table-responsive">
                                    <table class="table ">
                                        <thead class="text-uppercase bg-primary">
                                        <tr class="text-white">
                                            <th scope="col">ID</th>
                                            <th scope="col">Title/Short Form</th>
                                            <th scope="col">Full Title</th>
                                        </thead>
                                        <tbody style="text-align: left">

                                        <?php
                                        foreach ($data as $item) {

                                            ?>

                                            <tr>
                                                <th scope="row"><?= $item["id"] ?></th>
                                                <td><?= $item["title"] ?></td>
                                                <td><?= $item["full_title"] ?></td>
                                            </tr>

                                            <?php
                                        }
                                        ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>


                        <!-- Textual inputs start -->
                <div class="col-4 mt-5">
                    <div class="card">
                        <div class="card-body">

                            <form method="post" action="currency.php" enctype="multipart/form-data">
                                <h4 class="header-title">Add Currency</h4>
                                <div class="form-group">
                                    <label for="full_name" class="col-form-label">Title</label>
                                    <input class="form-control" type="text" id="full_name" name="title">
                                </div>

                                <div class="form-group">
                                    <label for="phone_number" class="col-form-label">Full Title</label>
                                    <input class="form-control" type="text" id="phone_number" name="full_title">
                                </div>

                                <button type="submit" class="btn btn-primary mt-4 pr-4 pl-4" name="submit">Submit
                                </button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>alert("SAVED SUCCESSFULLY");</script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
