<?php

require "data.php";
$page_name = "Equipments Products";
$page_number = 1.4;

    if ( !isset($_SESSION["active"]) || !$_SESSION["active"] ){
        header("Location: signin.php");
    }

?>

<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">



            <div class="card-area">
                <div class="row">


                    <?php

                    require ("api/pdo/connection_pdo.php");
                    $sql = "SELECT mkt_products.*, 
                            mkt_equipment_category.title AS category_name,
                            mkt_currency.title AS currency_name,
                            (SELECT mkt_product_pictures.picture FROM `mkt_product_pictures` 
                                WHERE mkt_product_pictures.mkt_product_id = mkt_products.id LIMIT 1) AS picture
                            FROM `mkt_products`  
                            INNER JOIN mkt_equipment_category ON mkt_equipment_category.id = mkt_products.category_id
                            INNER JOIN mkt_currency ON mkt_products.currency_id = mkt_currency.id
                            WHERE mkt_products.type_id = 2 AND mkt_products.active = 1 ORDER BY mkt_products.date DESC";
                    require ("api/pdo/functionality_fetch_data.php");

                    $target_dir = "api/pictures/products/";

                    foreach ($data as $datum) {

                    ?>

                    <div class="col-3 mt-5">
                        <a href="view_single_product.php?id=<?=$datum['id']?>">
                            <div class="card card-bordered">
                                <div>

                                </div>
                                <img class="card-img-top img-fluid" src="<?=
                                    ($datum['picture']==NULL)?'assets/images/card/card-img1.jpg':$target_dir.$datum['picture']  ?>" alt="image">
                                <div class="card-body">
                                    <h6 class="title"><?=$datum['name']?></h6>
                                    <p class="card-text">
                                        <b>Product Id:</b> #<?=$datum['id']?><br>
                                        <b>Price:</b> <?=$datum['currency_name']?> <?=$datum['price']?><br>
                                    </p>
                                </div>
                            </div>
                        </a>
                    </div>

                    <?php

                    }

                    ?>


                </div>
            </div>





















        </div>
    </div>
    <!-- main content area end -->

    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
