<?php

require "data.php";
$page_name = "Order Information";
$page_number = 1.5;
$order_id = $_GET["id"];
$target_dir = "api/pictures/products/";

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;

?>

<?php

    if (isset($_GET["new_state"])){
        $state_id = $_GET["new_state"];
        $conn->query("UPDATE `mkt_order` SET `order_state` = '$state_id' WHERE `mkt_order`.`id` = ".$order_id);
    }

?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">



                <?php

                require ("api/pdo/connection_pdo.php");
                    $sql = "SELECT mkt_order.*,mkt_order_states.name AS order_state_name FROM `mkt_order` INNER JOIN mkt_order_states ON mkt_order_states.id = mkt_order.order_state WHERE mkt_order.id = ".$order_id;
                require ("api/pdo/functionality_fetch_data_single.php");
                $order_row = $data_single;

                $sql = "SELECT * FROM `mkt_buyers` WHERE id = ".$order_row["mkt_buyer"];
                require ("api/pdo/functionality_fetch_data_single.php");
                $buyer_row = $data_single;

                $sql = "SELECT 
                        mkt_order_products.*,
                        mkt_products.`vender_id`, mkt_products.`type_id`, mkt_products.`category_id`, mkt_products.`breed_id`, mkt_products.`name`, 
                        mkt_products.`description`, mkt_products.`quantity`, mkt_products.`price`, mkt_products.`active`, mkt_products.`date`,
                        mkt_currency.title AS currency_title ,
                        mkt_vendor.full_name AS vender_name 
                        FROM mkt_order_products 
                        INNER JOIN mkt_products ON mkt_order_products.product = mkt_products.id 
                        INNER JOIN mkt_currency ON mkt_currency.id = mkt_products.currency_id
                        INNER JOIN mkt_vendor ON mkt_products.vender_id = mkt_vendor.id WHERE mkt_order_products.order = ".$order_id;
                require ("api/pdo/functionality_fetch_data.php");
                $order_products = $data;


                ?>



                <div class="row col-12">

                    <div class="col-6 mt-3">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="header-title">Order Information</h4>
                                <div class="single-table">
                                    <div class="table-responsive">

                                        <br>
                                        <div>
                                            <p><h6>Order ID: </h6></p>
                                            <p style="font-size: 15px">- #<?=$order_row["id"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Description: </h6></p>
                                            <p style="font-size: 15px">- <?=$order_row["order_date"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Order Status: </h6></p>
                                            <p style="font-size: 15px">
                                                <div class="btn-group">
                                                    <button type="button" class="btn btn-rounded btn-warning"><?= $order_row["order_state_name"] ?></button>
                                                    <button type="button" class="btn btn-rounded btn-warning dropdown-toggle dropdown-toggle-split" data-toggle="dropdown">
                                                        <span class="sr-only">Toggle Dropdown</span>
                                                    </button>
                                                    <div class="dropdown-menu">
                                                        <?php
                                                            $sql = "SELECT * FROM `mkt_order_states`";
                                                            require ("api/pdo/functionality_fetch_data.php");
                                                            $mkt_order_states = $data;

                                                            foreach ($mkt_order_states as $mkt_order_state) {

                                                                if ($mkt_order_state['id']==$order_row['order_state'])
                                                                    continue;
                                                        ?>

                                                        <a class="dropdown-item"
                                                           href="view_single_order.php?id=<?=$order_id?>&new_state=<?=$mkt_order_state['id']?>">
                                                            <?=$mkt_order_state["name"]?>
                                                        </a>

                                                        <?php
                                                            }
                                                        ?>
                                                    </div>
                                                </div>
                                            </p>
                                        </div>



                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-6 mt-3">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="header-title">Buyer</h4>
                                <div class="single-table">
                                    <div class="table-responsive">


                                        <br>
                                        <div>
                                            <p><h6>Name: </h6></p>
                                            <p style="font-size: 15px">- <?=$buyer_row["full_name"] ?></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Phone Number: </h6></p>
                                            <p style="font-size: 15px">- <?=$buyer_row["phone_number"] ?></p>
                                        </div>

                                        <br>
                                        <div>
                                            <p><h6>Email Address: </h6></p>
                                            <p style="font-size: 15px">- <?=$buyer_row["email_address"] ?></p>
                                        </div>

                                        <br>
                                        <div>
                                            <p><h6>Address: </h6></p>
                                            <p style="font-size: 15px">- <?=$buyer_row["address"] ?></p>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-12 mt-3">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="header-title">Order products ( <?= count($order_products) ?> ) </h4>
                                <div class="single-table">
                                    <div class="table-responsive">
                                        <table class="table">
                                            <thead class="text-uppercase bg-primary">
                                            <tr class="text-white">
                                                <th scope="col">ID</th>
                                                <th scope="col">Name</th>
                                                <th scope="col">Description</th>
                                                <th scope="col">Quantity Needed</th>
                                                <th scope="col">Price</th>
                                                <th scope="col">Action</th>
                                                <th scope="col">Vender</th>
                                            </tr>
                                            </thead>
                                            <tbody style="text-align: left">

                                            <?php
                                            foreach ($order_products as $item) {

                                                ?>

                                                <tr>
                                                    <th scope="row"><?= $item["id"] ?></th>
                                                    <td><?= $item["name"] ?></td>
                                                    <td><?= $item["description"] ?></td>
                                                    <td><?= $item["no_of_products"] ?></td>
                                                    <td><?= $item["currency_title"] ?> <?= $item["price"] ?></td>
                                                    <td><a href="view_single_product.php?id=<?= $item["product"] ?>">View >>></a></td>
                                                    <td><?= $item["vender_name"] ?></td>
                                                </tr>

                                                <?php
                                            }
                                            ?>


                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>




            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>alert("SAVED SUCCESSFULLY");</script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
