<?php

require "data.php";
$page_name = "Product Information";
$page_number = 1.5;
$mkt_product_id = $_GET["id"];
$target_dir = "api/pictures/products/";

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;


    if (isset($_GET["active"])){
    
        if ($_GET["active"]=="true"){
            $val_active = 1;
        }else if ($_GET["active"]=="false"){
            $val_active = 0;
        }
    
        $conn->query("UPDATE `mkt_products` SET `active` = '$val_active' WHERE `mkt_products`.`id` = $mkt_product_id;");
    
    }


?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">


                <?php

                require ("api/pdo/connection_pdo.php");
                $sql = "select * from mkt_product_pictures where mkt_product_id='$mkt_product_id' ";
                require ("api/pdo/functionality_fetch_data.php");

                ?>




                <div class="col-12 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title">Pictures</h4>
                            <div class="row">

                                <?php
                                foreach ($data as $datum) {

                                ?>

                                <div class="col-4">
                                    <img src="<?=
                                    ($datum['picture']==NULL)?'assets/images/card/card-img1.jpg':$target_dir.$datum['picture']  ?>" style="height: 200px; width: 100%;">
                                </div>

                                <?php
                                    }
                                ?>

                            </div>
                        </div>
                    </div>
                </div>


                <?php

                require ("api/pdo/connection_pdo.php");
                $sql = "SELECT * FROM `mkt_products` WHERE id = ".$mkt_product_id;
                require ("api/pdo/functionality_fetch_data_single.php");
                $market_product = $data_single;

                require ("api/pdo/connection_pdo.php");
                $sql = "SELECT * FROM `mkt_currency` WHERE id = ".$market_product["currency_id"];
                require ("api/pdo/functionality_fetch_data_single.php");
                $market_currency = $data_single;

                require ("api/pdo/connection_pdo.php");
                $sql = "SELECT * FROM `mkt_vendor` WHERE id = ".$market_product["vender_id"];
                require ("api/pdo/functionality_fetch_data_single.php");
                $market_vendor = $data_single;


                ?>



                <div class="row col-12">

                    <div class="col-6 mt-3">
                        <div class="card">
                            <div class="card-body">
                                 <div class="d-flex justify-content-between align-items-center">
                                    <h4 class="header-title">Information</h4>
                                    <a href="edit_product_main_info.php?id=<?=$mkt_product_id?>" class="text-primary"><i class="fa fa-edit"> Edit Info</i></a>
                                </div>
                                <div class="single-table">
                                    <div class="table-responsive">

                                        <br>
                                        <div>
                                            <p><h6>Name: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_product["name"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Description: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_product["description"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Quantity: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_product["quantity"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Price: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_currency["title"] ?> <?=$market_product["price"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Date Created: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_product["date"] ?></p>
                                            <p></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p>Status: </p>
                                            <div class="d-flex">
                                                <p style="font-size: 15px">- <?=$market_product["active"]==0?"In-Active":"Active" ?></p>
                                                <button class="btn-<?=$market_product["active"]==1?"danger":"success"?> rounded pl-2 pr-2 ml-3" onclick="location.href='view_single_product.php?id=<?=$mkt_product_id?>&active=<?= $market_product["active"]==0?"true":"false" ?>';"  >Make <?=$market_product["active"]==0?"Active":"In-Active" ?></button>
                                            </div>
                                        </div>



                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="col-6 mt-3">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="header-title">Vendor Details</h4>
                                <div class="single-table">
                                    <div class="table-responsive">


                                        <br>
                                        <div>
                                            <p><h6>Name: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_vendor["full_name"] ?></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Phone Number: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_vendor["phone_number"] ?></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Email Address: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_vendor["email_address"] ?></p>
                                        </div>
                                        <br>
                                        <div>
                                            <p><h6>Address: </h6></p>
                                            <p style="font-size: 15px">- <?=$market_vendor["address"] ?></p>
                                        </div>

                                        <div class="mt-4">
                                            <a href="#">View Full Profile >>></a>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>




            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>alert("SAVED SUCCESSFULLY");</script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
