<?php

require "data.php";
$page_name = "Add Equipment Product";
$page_number = 1.3;

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;

if (isset($_POST["submit"])) {
    $vender_id = $_POST["vender_id"];
    $type_id = "2"; //1 - livestock, 2 - equipement
    $category_id = $_POST["category_id"];
    $name = $_POST["name"];
    $name = $_POST["name"];
    $description = $_POST["description"];
    $quantity = $_POST["quantity"];
    $price = $_POST["price"];
    $currency_id = $_POST["currency_id"];


    if ($conn->query("INSERT INTO `mkt_products` 
                        (`id`, `vender_id`, `type_id`, `category_id`, `breed_id`, `name`, `description`, `quantity`, `price`,`currency_id`, `date`) VALUES 
                        (NULL, '$vender_id', '$type_id', '$category_id', NULL , '$name', '$description', '$quantity', '$price','$currency_id', current_timestamp())")) {

        $number = 1;

        $id = mysqli_insert_id($conn);

        $target_dir = "api/pictures/products/";
        $total = count($_FILES['picture']['name']);

        for( $i=0 ; $i < $total ; $i++ ) {
            $picture_name = "pic";
            $imageFileType = strtolower(pathinfo(basename($_FILES["picture"]["name"][$i]), PATHINFO_EXTENSION));
            $name = 'product_' . date('Y-m-d_hia') . '_'.$i.'.' . $imageFileType;
            $target_file = $target_dir . $name;

            if(move_uploaded_file($_FILES["picture"]["tmp_name"][$i], $target_file)){
                $conn->query("INSERT INTO `mkt_product_pictures` 
                                    (`id`, `mkt_product_id`, `picture`) VALUES 
                                    (NULL, '$id', '$name')");
            }

        }

    } else {
        $number = 2;
    }

}

?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">
                <!-- Textual inputs start -->
                <div class="col-8 mt-5">
                    <div class="card">
                        <div class="card-body">

                            <form method="post" action="add_equipment_product.php" enctype="multipart/form-data">
                                <h4 class="header-title">Add a Equipment Product</h4>
                                <div class="form-group">
                                    <label class="col-form-label">Vendor</label>
                                    <select class="form-control" name="vender_id">
                                        <?php
                                            require ("api/pdo/connection_pdo.php");
                                            $sql = "select * from mkt_vendor";
                                            require ("api/pdo/functionality_fetch_data.php");

                                            foreach ($data as $item) {
                                                echo '<option value="'.$item["id"].'">'.$item["full_name"].'->'.$item["address"].'</option>';
                                            }
                                        ?>
                                    </select>
                                </div>


                                <div class="form-group">
                                    <label class="col-form-label">Category</label>
                                    <select class="form-control" name="category_id">

                                        <?php
                                        require ("api/pdo/connection_pdo.php");
                                        $sql = "select * from mkt_equipment_category";
                                        require ("api/pdo/functionality_fetch_data.php");

                                        foreach ($data as $item) {
                                            echo '<option value="'.$item["id"].'">'.$item["title"].'</option>';
                                        }

                                        ?>
                                    </select>
                                </div>



                                <div class="form-group">
                                    <label for="full_name" class="col-form-label">Name</label>
                                    <input class="form-control" type="text" id="full_name" name="name">
                                </div>
                                <div class="form-group">
                                    <label for="phone_number" class="col-form-label">Description</label>
                                    <textarea class="form-control" type="text" id="phone_number" name="description"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="email_address" class="col-form-label">Quantity</label>
                                    <input class="form-control" type="number" id="email_address" name="quantity">
                                </div>
                                <div class="form-group">
                                    <label for="address" class="col-form-label">Price</label>
                                    <input class="form-control" type="number" id="address" name="price">
                                </div>



                                <div class="form-group">
                                    <label class="col-form-label">Currency</label>
                                    <select class="form-control" name="currency_id">
                                        <?php
                                        require ("api/pdo/connection_pdo.php");
                                        $sql = "select * from mkt_currency";
                                        require ("api/pdo/functionality_fetch_data.php");

                                        foreach ($data as $item) {
                                            echo '<option value="'.$item["id"].'">'.$item["title"].' -> '.$item["full_title"].'</option>';
                                        }

                                        ?>
                                    </select>
                                </div>


                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">Picture</span>
                                    </div>
                                    <div class="custom-file">
                                        <input type="file" id="inputGroupFile01"
                                               multiple="multiple"
                                               name="picture[]">
                                    </div>
                                </div>

                                <button type="submit" class="btn btn-primary mt-4 pr-4 pl-4" name="submit">Submit
                                </button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>alert("SAVED SUCCESSFULLY");</script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
