<?php

require "data.php";
$page_name = "Add Livestock Product";
$page_number = 1.2;
$mkt_product_id = $_GET["id"];

if (!isset($_SESSION["active"]) || !$_SESSION["active"]) {
    header("Location: signin.php");
}

?>

<?php

require "connection.php";
$number = 0;

if (isset($_POST["submit"])) {
    $name = $_POST["name"];
    $description = $_POST["description"];
    $quantity = $_POST["quantity"];
    $price = $_POST["price"];
    $currency_id = $_POST["currency_id"];


    if ($conn->query("UPDATE `mkt_products` SET 
                            `name` = '$name', 
                            `description` = '$description', 
                            `quantity` = '$quantity', 
                            `price` = '$price', 
                            `currency_id` = '$currency_id' WHERE `mkt_products`.`id` = ".$mkt_product_id)) {

        $number = 1;

    } else {
        $number = 2;
    }

}



require ("api/pdo/connection_pdo.php");
$sql = "SELECT * FROM `mkt_products` WHERE id = ".$mkt_product_id;
require ("api/pdo/functionality_fetch_data_single.php");
$market_product = $data_single;

require ("api/pdo/connection_pdo.php");
$sql = "SELECT * FROM `mkt_currency` WHERE id = ".$market_product["currency_id"];
require ("api/pdo/functionality_fetch_data_single.php");
$market_currency = $data_single;


?>


<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">


            <div class="row">
                <!-- Textual inputs start -->
                <div class="col-8 mt-5">
                    <div class="card">
                        <div class="card-body">

                            <form method="post" action="edit_product_main_info.php?id=<?=$mkt_product_id?>" enctype="multipart/form-data">
                                <h4 class="header-title">Edit Product</h4>

                                <div class="form-group">
                                    <label for="full_name" class="col-form-label">Name</label>
                                    <input class="form-control" type="text" id="full_name" name="name" value="<?=$market_product["name"] ?>">
                                </div>
                                <div class="form-group">
                                    <label for="phone_number" class="col-form-label">Description</label>
                                    <textarea class="form-control" type="text" id="phone_number" name="description"><?=$market_product["description"] ?></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="email_address" class="col-form-label">Quantity</label>
                                    <input class="form-control" type="number" id="email_address" name="quantity" value="<?=$market_product["quantity"] ?>">
                                </div>
                                <div class="form-group">
                                    <label for="address" class="col-form-label">Price</label>
                                    <input class="form-control" type="number" id="address" name="price" value="<?=$market_product["price"] ?>">
                                </div>


                                <div class="form-group">
                                    <label class="col-form-label">Currency</label>
                                    <select class="form-control" name="currency_id">

                                        <?php
                                        require ("api/pdo/connection_pdo.php");
                                        $sql = "select * from mkt_currency";
                                        require ("api/pdo/functionality_fetch_data.php");

                                        foreach ($data as $item) {
                                            echo '<option '. ( $item["id"] == $market_product['currency_id'] ?'selected="selected"':''  ) .' value="'.$item["id"].'">'.$item["title"].' -> '.$item["full_title"].'</option>';
                                        }

                                        ?>
                                    </select>
                                </div>

                                <button type="submit" class="btn btn-primary mt-4 pr-4 pl-4" name="submit">Submit
                                </button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>


        </div>
    </div>
    <!-- main content area end -->

    <?php
    if ($number == 0) {
    } else if ($number == 1) {
        echo '<script>
                    alert("EDIT SUCCESSFULLY");
                    location.href="view_single_product.php?id='.$mkt_product_id.'";
                </script>';
    } else {
        echo '<script>alert("FAILED");</script>';
    }
    ?>


    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
