<?php

require "data.php";
$page_name = "View Administrators";
$page_number = 4.1;

    if ( !isset($_SESSION["active"]) || !$_SESSION["active"] ){
        header("Location: signin.php");
    }

?>

<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php
    require "part_head.php";
    ?>
</head>

<?php
require "part_preloader_area.php";
?>

<div class="page-container">

    <?php
    require "part_side_menu_area.php";
    ?>

    <!-- main content area start -->
    <div class="main-content">

        <?php
        require "part_header_area.php";
        require "part_page_title_area.php";
        ?>

        <div class="main-content-inner">

            <?php

                require ("api/pdo/connection_pdo.php");
                $sql = "select * from mkt_administrators";
                require ("api/pdo/functionality_fetch_data.php");
            ?>


            <div class="row">

                <div class="col-12 mt-5">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="header-title">Administrators</h4>
                            <div class="single-table">
                                <div class="table-responsive">
                                    <table class="table text-center">
                                        <thead class="text-uppercase bg-primary">
                                        <tr class="text-white">
                                            <th scope="col">ID</th>
                                            <th scope="col">Full Name</th>
                                            <th scope="col">Email</th>
                                            <th scope="col">Password</th>
                                            <th scope="col">Created At</th>
                                            <th scope="col">Action</th>
                                        </tr>
                                        </thead>
                                        <tbody style="text-align: left">

                                        <?php
                                        foreach ($data as $item) {

                                        ?>

                                        <tr>
                                            <th scope="row"><?= $item["id"] ?></th>
                                            <td><?= $item["full_name"] ?></td>
                                            <td><?= $item["email_address"] ?></td>
                                            <td><?= $item["password"] ?></td>
                                            <td><?= $item["date_time"] ?></td>
                                            <td><i class="ti-more"></i></td>
                                        </tr>

                                        <?php
                                            }
                                        ?>


                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>



        </div>
    </div>
    <!-- main content area end -->

    <?php
    require "part_footer_area.php";
    ?>

</div>
<!-- page container area end -->

<?php
require "part_offset_area.php";
require "part_bottom_scripts.php";
?>

</body>

</html>
